%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-latex
Version:	3.46.0
Release:	%mkrel 2
Summary:	Integrated LaTeX Environment for the GNOME desktop
Group:		Publishing
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/GNOME-LaTeX
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	libxml2-utils
BuildRequires:	vala
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(gee-0.8) >= 0.10
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(tepl-6) >= 6.8
BuildRequires:	pkgconfig(vapigen) >= 0.34
Requires:	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
# Default compile document in Gnome Latex is latexmk (mga#27119)
Requires:	texlive-collection-basic
Requires:	texlive-dist

Provides:	latexila = %{version}-%{release}
Obsoletes:	latexila < 3.27.1-3

%description
Gnome-latex is an Integrated LaTeX Environment for GNOME.
The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

%prep
%autosetup -p1

# https://gitlab.gnome.org/swilmet/gnome-latex/-/issues/7
# re-generate the *.c files thus fixing GCC 14 build issue
rm -f src/*.c

%build
%configure --enable-gtk-doc
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS HACKING
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_iconsdir}/*/*/*/*
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.%{name}.service
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat May 11 2024 daviddavid <daviddavid> 3.46.0-2.mga10
+ Revision: 2063761
- fix GCC 14 build issue regenerating '*.c' files

* Sun Sep 03 2023 daviddavid <daviddavid> 3.46.0-1.mga10
+ Revision: 1983777
- new version: 3.46.0

* Fri Feb 03 2023 daviddavid <daviddavid> 3.44.0-1.mga9
+ Revision: 1937799
- new version 3.44.0

* Tue Dec 13 2022 tv <tv> 3.42.0-3.mga9
+ Revision: 1921683
- Rebuild for new amtk

* Sun Nov 06 2022 papoteur <papoteur> 3.42.0-2.mga9
+ Revision: 1903947
- rebuild forlibamtk and libtepl
+ ovitters <ovitters>
- new version 3.42.0

* Mon Oct 24 2022 ghibo <ghibo> 3.41.2-1.mga9
+ Revision: 1898961
- Build for release 3.41.2.
- Remove Patch0 (no longer needed).
+ neoclust <neoclust>
- New version 	3.41.2

* Thu Mar 31 2022 umeabot <umeabot> 3.38.0-3.mga9
+ Revision: 1836930
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 daviddavid <daviddavid> 3.38.0-2.mga9
+ Revision: 1710378
- backport upstream patch to port to Tepl 6

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624318
- new version 3.38.0

* Tue Aug 18 2020 daviddavid <daviddavid> 3.37.2-3.mga8
+ Revision: 1615125
- add another missing dependency on texlive-dist (mga#27119#c3)

* Tue Aug 18 2020 daviddavid <daviddavid> 3.37.2-2.mga8
+ Revision: 1614776
- add missing dependency on texlive-collection-basic for latexmk (mga#27119)

* Thu Jun 11 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1592453
- new version 3.37.2

* Tue Mar 31 2020 daviddavid <daviddavid> 3.36.0-1.mga8
+ Revision: 1562685
- new version 3.36.0

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-2.mga8
+ Revision: 1523580
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 10 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373644
- new version 3.32.0
- obsoletes/provides latexila
- project is now called as gnome-latex

* Sat Mar 09 2019 daviddavid <daviddavid> 3.27.1-2.mga7
+ Revision: 1373307
- drop no more required enchant build dependency

* Tue Sep 04 2018 daviddavid <daviddavid> 3.27.1-1.mga7
+ Revision: 1257060
- new version 3.27.1

* Wed Mar 14 2018 tv <tv> 3.24.3-2.mga7
+ Revision: 1209220
- rebuild with latest gspell

* Sun Aug 20 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1142507
- new version 3.24.3
- new version 3.24.2
- new version 3.24.0

* Sun Dec 18 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1075863
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055264
- new version 3.22.0

* Sat Jul 30 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1043991
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993085
- new version 3.20.0

* Sun Mar 13 2016 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 990220
- new version 3.19.5

* Mon Feb 15 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 961151
- new version 3.19.4
- new version 3.19.3
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905334
- new version 3.19.1

* Sun Nov 08 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 898733
- new version 3.18.1

* Thu Oct 15 2015 ovitters <ovitters> 3.18.0-1.mga6
+ Revision: 891725
- new version 3.18.0
+ tv <tv>
- new release

* Tue Aug 11 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 862468
- new version 3.17.0

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838477
- new version 3.16.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836430
- new version 3.14.4

* Wed Jan 07 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 809017
- new version 3.14.3

* Mon Oct 27 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 793875
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 743834
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 3.14.1-1.mga5
+ Revision: 733855
- new version 3.14.1

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731621
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 2.12.1-2.mga5
+ Revision: 681273
- Mageia 5 Mass Rebuild

* Sun May 11 2014 ovitters <ovitters> 2.12.1-1.mga5
+ Revision: 622015
- new version 2.12.1

* Wed Mar 26 2014 ovitters <ovitters> 2.12.0-1.mga5
+ Revision: 608760
- new version 2.12.0

* Sun Feb 16 2014 ovitters <ovitters> 2.10.1-1.mga5
+ Revision: 592766
- new version 2.10.1

* Tue Feb 04 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 582532
- new version 2.10.0

* Tue Oct 22 2013 umeabot <umeabot> 2.9.0-2.mga4
+ Revision: 541359
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 mitya <mitya> 2.9.0-1.mga4
+ Revision: 495649
- New version 2.9.0

* Tue Sep 03 2013 dams <dams> 2.8.3-1.mga4
+ Revision: 474730
- new version 2.8.3

* Sat Aug 17 2013 fwang <fwang> 2.8.2-2.mga4
+ Revision: 467331
- use gnome-autogen
- bump rel
- enable deprecated features

* Fri Jun 07 2013 ovitters <ovitters> 2.8.2-1.mga4
+ Revision: 440167
- new version 2.8.2

* Sat May 25 2013 ovitters <ovitters> 2.8.1-1.mga4
+ Revision: 427111
- new version 2.8.1

* Sat Jan 12 2013 umeabot <umeabot> 2.6.2-2.mga3
+ Revision: 356665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 ovitters <ovitters> 2.6.2-1.mga3
+ Revision: 321626
- new version 2.6.2

* Sat Oct 20 2012 ovitters <ovitters> 2.6.1-1.mga3
+ Revision: 308376
- new version 2.6.1

* Sun Oct 07 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 303084
- new version 2.6.0
+ fwang <fwang>
- drop duplicated files

* Tue Sep 11 2012 fwang <fwang> 2.5.4-1.mga3
+ Revision: 292120
- versioned vala req
- add br
- update br
+ ovitters <ovitters>
- new version 2.5.4
- new version 2.5.2
- update br to gtkspell-3.0
- new version 2.5.1

* Tue Jun 05 2012 ovitters <ovitters> 2.4.1-1.mga3
+ Revision: 254471
- new version 2.4.1

* Mon May 28 2012 ovitters <ovitters> 2.4.0-1.mga3
+ Revision: 248290
- update file list
- new version 2.4.0

* Mon Feb 06 2012 fwang <fwang> 2.3.1-1.mga2
+ Revision: 205292
- new version 2.3.1

* Sun Nov 27 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 172745
- new version 2.3.0

* Sat Oct 08 2011 wally <wally> 2.2.2-1.mga2
+ Revision: 153011
- new version 2.2.2

* Sat Sep 17 2011 ovitters <ovitters> 2.2.1-1.mga2
+ Revision: 144424
- new version 2.2.1
  remove patch, build error was fixed upstream
- fix group
- use pkgconfig for buildrequires
- imported package latexila

